# extends 'admin.html'
<html>
    <head>
        <title>
            # block admintitle
            WikiPrint Options
            # endblock admintitle
        </title>
        # block head
        ${ super() }
        # endblock head
    </head>
    <body>
    # block adminpanel
        <h2>Wikiprint Options</h2>
        <form method="post">
            ${jmacros.form_token_input()}
            <fieldset>
                <legend>Style/Content Properties</legend>
                <table>
                <tbody>
                    <tr>
                        <td colspan="3">
                            Specify a path to a file in the local filesystem, or an URL to the resource.
                            <br/>Leave blank for using default styles or content.
                        </td>
                    </tr>
                    <tr>
                        <td>CSS file or URL:</td>
                        <td><input type="text" value="${css_url}" name="css_url" size="80"/></td>
                        <td><input type="submit" name="viewcss" value="View" /></td>
                    </tr>
                    <tr>
                        <td>Book additional CSS file or URL:</td>
                        <td><input type="text" value="${book_css_url}" name="book_css_url" size="80"/></td>
                        <td><input type="submit" name="viewbookcss" value="View" /></td>
                    </tr>
                    <tr>
                        <td>Article additional CSS file or URL:</td>
                        <td><input type="text" value="${article_css_url}" name="article_css_url" size="80"/></td>
                        <td><input type="submit" name="viewarticlecss" value="View" /></td>
                    </tr>
                    <tr>
                        <td>Book front page file or URL:</td>
                        <td><input type="text" value="${frontpage_url}" name="frontpage_url" size="80"/></td>
                        <td><input type="submit" name="viewfrontpage" value="View" /></td>
                    </tr>
                    <tr>
                        <td>Header/footer/extra content file or URL:</td>
                        <td><input type="text" value="${extracontent_url}" name="extracontent_url" size="80"/></td>
                        <td><input type="submit" name="viewextracontent" value="View" /></td>
                    </tr>
                </tbody>
                </table>
                <input type="submit" name="saveurls" value="Save configuration" />
            </fieldset>

            <fieldset>
                <legend>HTTP Authentication</legend>
                <table>
                <tbody>
                    <tr>
                        <td colspan="3">
                            Specify a username and password that will be used when Wikiprint makes HTTP requests to recover document images or resources.
                            <br/>Supported methods are Basic and Digest authentication.
                        </td>
                    </tr>
                    <tr>
                        <td>Username:</td>
                        <td><input type="text" value="${httpauth_user}" name="httpauth_user" size="80"/></td>
                    </tr>
                    <tr>
                        <td>Password:</td>
                        <td><input type="password" value="${httpauth_password}" name="httpauth_password" size="80"/></td>
                    </tr>
                </tbody>
                </table>
                <input type="submit" name="savehttpauth" value="Save user and password" />
            </fieldset>
        </form>
    # endblock adminpanel
    </body>
</html>